Vidu V2(参考主体生成视频)
POST /vidu/ent/v2/reference2video
通过参考主体图片 + 文本提示词生成视频。Vidu 官方文档:Reference to Video 官网:https://www.vidu.studio/
Base URL
https://api.novapai.ai/router/v1
认证
- Header:
Authorization: Bearer <YOUR_API_KEY> - Header:
Content-Type: application/json
请求体参数(核心字段)
model(string, required):viduq2/viduq1/vidu2.0/vidu1.5images(string[], required): 参考图集合(支持 URL/Base64)prompt(string, required): 生成提示词duration(integer): 时长resolution(string): 分辨率aspect_ratio(string): 画幅比例seed(string): 随机种子movement_amplitude(string): 运动幅度
请求示例
curl -X POST "https://api.novapai.ai/router/v1/vidu/ent/v2/reference2video" \
-H "Authorization: Bearer <YOUR_API_KEY>" \
-H "Content-Type: application/json" \
-d '{
"model": "vidu2.0",
"images": [
"https://example.com/ref-1.png",
"https://example.com/ref-2.png",
"https://example.com/ref-3.png"
],
"prompt": "Santa Claus and the bear hug by the lakeside.",
"duration": 4,
"resolution": "720p"
}'响应示例
{
"task_id": "916205061116293120",
"type": "reference2video",
"state": "created",
"model": "vidu2.0"
}说明
- 该模式适用于固定主体形象的视频延展。
- 返回
task_id后,调用 Fetch V2 获取最终结果。